/* ============================= */
/* Landing / Hero                */
/* ============================= */

.landing {
    min-height: calc(100vh - var(--navbar-height));
    display: flex;
    flex-direction: column;
}

.hero {
    position: relative;
    z-index: 1;

    flex: 1;
    display: grid;
    grid-template-columns: 1fr 1fr;

    padding: 0 120px;
    box-sizing: border-box;
}

.hero-left {
    display: flex;
    /* justify-content: center; */
    align-items: center;
}

.hero-image-wrapper {
    position: relative;
    z-index: 0;

    width: min(500px, 80%);
    display: flex;
    align-self: end;
}

.hero-image-wrapper::before,
.hero-image-wrapper::after {
    content: "";
    position: absolute;
    z-index: 0;
    pointer-events: none;

    width: 103%;
    height: 130%;

    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;

    top: 60%;
    left: 50%;
    transform: translate(-50%, -50%);

    transition: opacity 350ms ease-in-out;
}

.hero-image-wrapper::before {
    background-image: url("../assets/icons/ellipse-hero-default.svg");
    opacity: 1;
}

.hero-image-wrapper::after {
    background-image: url("../assets/icons/ellipse-hero-hover.svg");
    opacity: 0;
}

.hero-left:hover .hero-image-wrapper::before {
    opacity: 0;
}

.hero-left:hover .hero-image-wrapper::after {
    opacity: 1;
}

.hero-image {
    position: relative;
    z-index: 1;

    width: 100%;
    height: auto;
    display: block;
}

.mobile-hero-menu {
    display: none;
}

.hero-right {
    position: relative;

    display: grid;
    grid-template-rows: 45% 1fr 25%;
    justify-items: center;
    align-items: center;
}

.hero-socials {
    position: absolute;
    top: 48px;
    right: 48px;

    display: flex;
    flex-direction: column;
    gap: 16px;
}

.hero-logo {
    grid-row: 1;
    align-self: end;
}

.hero-intro {
    grid-row: 2;
    text-align: center;
    align-self: start;
    margin-top: 24px;
    pointer-events: none;
}

.hero-intro h1 {
    margin: 0;

    color: var(--color-secondary);
    font-family: var(--font-headline);
    font-weight: var(--fw-regular);
    font-size: 88px;
    line-height: 120%;
}

.hero-intro p {
    margin: 8px 0 0;

    color: var(--color-secondary);
    font-family: var(--font-body);
    font-weight: var(--fw-regular);
    font-size: 40px;
    line-height: 120%;
}